class PostAllergyRequestModel {
  List<ListHisProgNotePatientAllergyDiseaseVM>
  listHisProgNotePatientAllergyDiseaseVM;

  PostAllergyRequestModel({this.listHisProgNotePatientAllergyDiseaseVM});

  PostAllergyRequestModel.fromJson(Map<String, dynamic> json) {
    if (json['listHisProgNotePatientAllergyDiseaseVM'] != null) {
      listHisProgNotePatientAllergyDiseaseVM =
      new List<ListHisProgNotePatientAllergyDiseaseVM>();
      json['listHisProgNotePatientAllergyDiseaseVM'].forEach((v) {
        listHisProgNotePatientAllergyDiseaseVM
            .add(new ListHisProgNotePatientAllergyDiseaseVM.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.listHisProgNotePatientAllergyDiseaseVM != null) {
      data['listHisProgNotePatientAllergyDiseaseVM'] = this
          .listHisProgNotePatientAllergyDiseaseVM
          .map((v) => v.toJson())
          .toList();
    }
    return data;
  }
}

class ListHisProgNotePatientAllergyDiseaseVM {
  int patientMRN;
  int allergyDiseaseType;
  int allergyDiseaseId;
  int episodeId;
  int appointmentNo;
  int severity;
  bool isChecked;
  bool isUpdatedByNurse;
  String remarks;
  int createdBy;
  String createdOn;
  int editedBy;
  String editedOn;

  ListHisProgNotePatientAllergyDiseaseVM(
      {this.patientMRN,
        this.allergyDiseaseType,
        this.allergyDiseaseId,
        this.episodeId,
        this.appointmentNo,
        this.severity,
        this.isChecked,
        this.isUpdatedByNurse,
        this.remarks,
        this.createdBy,
        this.createdOn,
        this.editedBy,
        this.editedOn});

  ListHisProgNotePatientAllergyDiseaseVM.fromJson(Map<String, dynamic> json) {
    patientMRN = json['patientMRN'];
    allergyDiseaseType = json['allergyDiseaseType'];
    allergyDiseaseId = json['allergyDiseaseId'];
    episodeId = json['episodeId'];
    appointmentNo = json['appointmentNo'];
    severity = json['severity'];
    isChecked = json['isChecked'];
    isUpdatedByNurse = json['isUpdatedByNurse'];
    remarks = json['remarks'];
    createdBy = json['createdBy'];
    createdOn = json['createdOn'];
    editedBy = json['editedBy'];
    editedOn = json['editedOn'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['patientMRN'] = this.patientMRN;
    data['allergyDiseaseType'] = this.allergyDiseaseType;
    data['allergyDiseaseId'] = this.allergyDiseaseId;
    data['episodeId'] = this.episodeId;
    data['appointmentNo'] = this.appointmentNo;
    data['severity'] = this.severity;
    data['isChecked'] = this.isChecked;
    data['isUpdatedByNurse'] = this.isUpdatedByNurse;
    data['remarks'] = this.remarks;
    data['createdBy'] = this.createdBy;
    data['createdOn'] = this.createdOn;
    data['editedBy'] = this.editedBy;
    data['editedOn'] = this.editedOn;
    return data;
  }
}
